Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class RepositoryPolicy

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.RepositoryPolicy

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class RepositoryPolicy

extends Object

Download policy

Java class for RepositoryPolicy complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RepositoryPolicy">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="updatePolicy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="checksumPolicy" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `checksumPolicy`
`protected Boolean` | `enabled`
`protected String` | `updatePolicy`

Constructor Summary
`RepositoryPolicy()`

Method Summary
`String` | `getChecksumPolicy()` Gets the value of the checksumPolicy property.
`String` | `getUpdatePolicy()` Gets the value of the updatePolicy property.
`Boolean` | `isEnabled()` Gets the value of the enabled property.
`void` | `setChecksumPolicy(String value)` Sets the value of the checksumPolicy property.
`void` | `setEnabled(Boolean value)` Sets the value of the enabled property.
`void` | `setUpdatePolicy(String value)` Sets the value of the updatePolicy property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enabled

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean enabled

### updatePolicy

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String updatePolicy

### checksumPolicy

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String checksumPolicy

Constructor Detail

### RepositoryPolicy

    public RepositoryPolicy()

Method Detail

### isEnabled

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isEnabled()

  Gets the value of the enabled property.

  Returns:
    possible object is `Boolean`

### setEnabled

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setEnabled(Boolean value)

  Sets the value of the enabled property.

  Parameters:
    `value` - allowed object is `Boolean`

### getUpdatePolicy

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getUpdatePolicy()

  Gets the value of the updatePolicy property.

  Returns:
    possible object is `String`

### setUpdatePolicy

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setUpdatePolicy(String value)

  Sets the value of the updatePolicy property.

  Parameters:
    `value` - allowed object is `String`

### getChecksumPolicy

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getChecksumPolicy()

  Gets the value of the checksumPolicy property.

  Returns:
    possible object is `String`

### setChecksumPolicy

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setChecksumPolicy(String value)

  Sets the value of the checksumPolicy property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.